<%@ page contentType="text/html; charset=GBK"%>
<%@ taglib uri="/cms4j" prefix="cms4j" %>

<%@ page import = "cn.com.dekn.cms.util.*" %>


<%
/***********************************
* 显示特性参数初始化
***********************************/
//要获取路径信息的classID
String CLASS_ID = StrUtil.getNotNullStringValue(request.getParameter("CLASS_ID"),""); 

//栏目文章显示页
String CLASS_URL = StrUtil.getNotNullStringValue(request.getParameter("CLASS_URL"),"ShowClass.jsp"); 

//子栏目显示页
String CLASS_LIST_URL = StrUtil.getNotNullStringValue(request.getParameter("CLASS_LIST_URL"),"ShowClassList.jsp"); 

//首页URL
String HOME_URL = StrUtil.getNotNullStringValue(request.getParameter("HOME_URL"),"index.jsp"); 

//文字颜色
String TEXT_COLOR = StrUtil.getNotNullStringValue(request.getParameter("TEXT_COLOR"),""); 

//分隔符
String SPEARATOR = StrUtil.getNotNullStringValue(request.getParameter("SPEARATOR")," >> "); 

//分隔符颜色
String SPEARATOR_COLOR = StrUtil.getNotNullStringValue(request.getParameter("SPEARATOR_COLOR"),""); 

//是否显示首页
String IS_SHOW_HOME = StrUtil.getNotNullStringValue(request.getParameter("IS_SHOW_HOME"),"false"); 

//是否显示首页
String IS_LINK = StrUtil.getNotNullStringValue(request.getParameter("IS_LINK"),"true"); 

//栏目ID参数名称
String CLASS_ID_PARAM_NAME = StrUtil.getNotNullStringValue(request.getParameter("CLASS_ID_PARAM_NAME"),"id"); 

%>

<% int spearatorCount = 0;%>

<% if(IS_SHOW_HOME.equals("true")){ %>
	<% if(IS_LINK.equals("true")){%>
	<a href="<%=HOME_URL%>">
	<% } %>
	<font color="<%=TEXT_COLOR%>">首页</font>
	<% if(IS_LINK.equals("true")){%>
	</a> 
	<% } %>
	<%
	//如果获取不到CLASS_ID,则不显示
	if(CLASS_ID.length() <= 0){
		return;
	}
	%>
	
	
	<%++spearatorCount;%>
<% } %>

<cms4j:class id="<%=CLASS_ID%>">

	<% String classPath[] = class_info.getPATH2();%>
	<% for(int index = 0 ;index<classPath.length;index++) { %>
		<cms4j:class id="<%=classPath[index]%>">
			<% if (spearatorCount > 0){ %>
			 <font color="<%=SPEARATOR_COLOR%>"><%=SPEARATOR%></font> 
			<% } %>
			<%++spearatorCount;%>
			<% if(IS_LINK.equals("true")){%>
			<a href="<%=class_info.getLinkURL(CLASS_URL,CLASS_LIST_URL,CLASS_ID_PARAM_NAME)%>">
			<% } %>
			<font color="<%=TEXT_COLOR%>"><%=class_info.getCLASS_NAME()%></font>
			<% if(IS_LINK.equals("true")){%>
			</a>
			<% } %>
		</cms4j:class>
	<% } %>
</cms4j:class>
